com.thinkaurelius.titan.graphdb.types.indextype

## Class IndexTypeWrapper

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.indextype.IndexTypeWrapper

- All Implemented Interfaces:
    IndexType
  Direct Known Subclasses:
    CompositeIndexTypeWrapper, MixedIndexTypeWrapper

      public abstract class IndexTypeWrapper
      extends Object
      implements IndexType

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchemaSource` | `base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexTypeWrapper(SchemaSource base)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object oth)`
    `String` | `getBackingIndexName()`
    `ElementCategory` | `getElement()`
    `IndexField` | `getField(PropertyKey key)`
    `String` | `getName()`
    `SchemaSource` | `getSchemaBase()`
    `TitanSchemaType` | `getSchemaTypeConstraint()`
    `int` | `hashCode()`
    `boolean` | `hasSchemaTypeConstraint()`
    `boolean` | `indexesKey(PropertyKey key)`
    `void` | `resetCache()` Resets the internal caches used to speed up lookups on this index.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.types.IndexType

      `getFieldKeys, isCompositeIndex, isMixedIndex`

- - ### Field Detail

    - #### base

          protected final SchemaSource base

  - ### Constructor Detail

    - #### IndexTypeWrapper

          public IndexTypeWrapper(SchemaSource base)

  - ### Method Detail

    - #### getSchemaBase

          public SchemaSource getSchemaBase()

    - #### getElement

          public ElementCategory getElement()

      Specified by:
        `getElement` in interface `IndexType`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object oth)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `IndexType`

    - #### getField

          public IndexField getField(PropertyKey key)

      Specified by:
        `getField` in interface `IndexType`

    - #### hasSchemaTypeConstraint

          public boolean hasSchemaTypeConstraint()

      Specified by:
        `hasSchemaTypeConstraint` in interface `IndexType`

    - #### getSchemaTypeConstraint

          public TitanSchemaType getSchemaTypeConstraint()

      Specified by:
        `getSchemaTypeConstraint` in interface `IndexType`

    - #### resetCache

          public void resetCache()

      Description copied from interface: `IndexType`
      Resets the internal caches used to speed up lookups on this index. This is needed when the index gets modified in `ManagementSystem`.
      Specified by:
        `resetCache` in interface `IndexType`

    - #### indexesKey

          public boolean indexesKey(PropertyKey key)

      Specified by:
        `indexesKey` in interface `IndexType`

    - #### getBackingIndexName

          public String getBackingIndexName()

      Specified by:
        `getBackingIndexName` in interface `IndexType`

Copyright © 2012–2014. All rights reserved.